<?xml version="1.0"?>

<system name="westach_quad">
	<channel name="OAT"> 		
		<fcs_function name="instrumentation/westach_quad/oat-needle-deg-raw">
			<function>
				<product>
					<table>
						<independentVar>/environment/temperature-degc</independentVar>
						<tableData>
							-50	5
							-30	17
							0	56
							30	95
							50	107
							
						</tableData>
					</table> 
					<table>
						<independentVar>/systems/electrical/outputs/indicators</independentVar>
						<tableData>
							9	0
							9.01	1							
						</tableData>
					</table> 
				</product>
			</function>  
		</fcs_function> 		
		<lag_filter name="instrumentation/westach_quad/oat-needle-deg">
			<input>instrumentation/westach_quad/oat-needle-deg-raw</input>
			<c1>10.0</c1>
		</lag_filter>
	</channel>
	<channel name="Fuel"> 		
		<fcs_function name="instrumentation/westach_quad/fuel-needle-deg-raw">
			<function>
				<product>
					<table>
						<independentVar>/consumables/fuel/tank[0]/indicated-level-norm</independentVar>
						<tableData>
							0	5
							1	95
						</tableData>
					</table> 
					<table>
						<independentVar>/systems/electrical/outputs/indicators</independentVar>
						<tableData>
							9	0
							9.01	1							
						</tableData>
					</table> 
				</product>
			</function>  
		</fcs_function> 		
		<lag_filter name="instrumentation/westach_quad/fuel-needle-deg">
			<input>instrumentation/westach_quad/fuel-needle-deg-raw</input>
			<c1>10.0</c1>
		</lag_filter>		
		<fcs_function name="instrumentation/westach_quad/fueltemp-needle-deg-raw">
			<function>
				<product>
					<table>
						<independentVar>/consumables/fuel/tank[0]/temperature-degc</independentVar>
						<tableData>
							-50	5
							-30	17
							0	56
							30	95
							50	107
							
						</tableData>
					</table> 
					<table>
						<independentVar>/systems/electrical/outputs/indicators</independentVar>
						<tableData>
							9	0
							9.01	1							
						</tableData>
					</table> 
				</product>
			</function>  
		</fcs_function> 		
		<lag_filter name="instrumentation/westach_quad/fueltemp-needle-deg">
			<input>instrumentation/westach_quad/fueltemp-needle-deg-raw</input>
			<c1>10.0</c1>
		</lag_filter>
	</channel>
	<channel name="Volts"> 		
		<fcs_function name="instrumentation/westach_quad/volts-needle-deg-raw">
			<function>
				<product>
					<table>
						<independentVar>/systems/electrical/outputs/indicators</independentVar>
						<tableData>
							6	5
							16	95							
						</tableData>
					</table> 
					<table>
						<independentVar>/systems/electrical/outputs/indicators</independentVar>
						<tableData>
							9	0
							9.01	1							
						</tableData>
					</table> 
				</product>
			</function>  
		</fcs_function> 		
		<lag_filter name="instrumentation/westach_quad/volts-needle-deg">
			<input>instrumentation/westach_quad/volts-needle-deg-raw</input>
			<c1>10.0</c1>
		</lag_filter>
	</channel>
</system>

